Update a company
Request example
Response sample
200 OK
HTTP Request
PATCH /v2/companies/:companyUUID
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Request example
curl -X PATCH https://betaapi.audiohook.com/v2/companies/:companyUUID \
-H "Authorization: Bearer ${API_TOKEN}" \
-H "Content-Type: application/json" \
-H "ui-referer: ADVERTISER" \
-d '{
"request_headers": [
{ "name": "X-Request-Header", "value": "Header value" }
],
"body": {
"name": "test-advertiser"
}
}'
Response sample
200 OK
{
"Message": "Advertiser 999999 has been updated",
"Advertiser": {
"id": 999999,
"uuid": "test-advertiser-uuid"
}
}
PATCH /v2/companies/:companyUUID
| Parameter | Required | Data Type | Description |
|---|---|---|---|
| name | false | string | The name of the advertiser |
| url | false | string | The URL that is associated with the advertiser |
| status | false | boolean | The status of the advertiser. Defaults to true |
| owner_id | false | int | The user ID under which to put the advertiser |
| reporting_requested | false | boolean | Whether the advertiser requested Glean reporting |
| onboarded | false | boolean | Whether the advertiser has finished onboarding |
